Bug 412931 - SELinux refuses access to sm-notify during install/sw-update of Fedora 7
SELinux refuses access to sm-notify during install/sw-update of Fedora 7
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-12-05 16:11 EST by Greg Morse
Modified: 2009-01-30 08:31 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-30 08:31:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Greg Morse 2007-12-05 16:11:28 EST
Description of problem:
SELinux (permissive mode) refused access from /usr/sbin/sm-notify to a file.
Message says to report this as a bug against this package.
SummarySELinux is preventing /usr/sbin/sm-notify (rpcd_t) "read" to
/usr/sbin/sm-notify (bin_t).Detailed DescriptionSELinux denied access requested
by /usr/sbin/sm-notify. It is not expected that this access is required by
/usr/sbin/sm-notify and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.Allowing AccessSometimes labeling
problems can cause SELinux denials. You could try to restore the default system
file context for /usr/sbin/sm-notify, restorecon -v /usr/sbin/sm-notify If this
does not work, there is currently no automatic way to allow this access.
Instead, you can generate a local policy module to allow this access - see FAQ
Or you can disable SELinux protection altogether. Disabling SELinux protection
is not recommended. Please file a bug report against this package.Additional
InformationSource Context:  system_u:system_r:rpcd_tTarget
Context:  system_u:object_r:bin_tTarget Objects:  /usr/sbin/sm-notify [ file
]Affected RPM Packages:  nfs-utils-1.1.0-4.fc7
[application]nfs-utils-1.1.0-4.fc7 [target]Policy
RPM:  selinux-policy-2.6.4-8.fc7Selinux Enabled:  TruePolicy Type:  targetedMLS
Enabled:  TrueEnforcing Mode:  PermissivePlugin Name:  plugins.catchall_fileHost
Name:  renegadePlatform:  Linux renegade 2.6.21-1.3194.fc7 #1 SMP Wed May 23
22:35:01 EDT 2007 i686 i686Alert Count:  1First Seen:  Wed 05 Dec 2007 12:43:23
PM PSTLast Seen:  Wed 05 Dec 2007 12:43:23 PM PST

Version-Release number of selected component (if applicable):

How reproducible:
Either during install, or during the very first apply software updates. Not sure.

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Bug Zapper 2008-05-14 00:05:57 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 2 Dennis Gilmore 2009-01-28 23:56:06 EST
reseting to selinux-policy

Note You need to log in before you can comment on or make changes to this bug.